SCSI_ADD_SINGLE_DEVI(9)

NAME
scsi_add_single_device - Respond to user request to probe for/add device

SYNOPSIS

int scsi_add_single_device(uint host, uint channel, uint id, uint lun);

ARGUMENTS

host
    user-supplied decimal integer

channel
    user-supplied decimal integer

id
    user-supplied decimal integer

lun
    user-supplied decimal integer

DESCRIPTION

called by writing “scsi add-single-device” to /proc/scsi/scsi.

does scsi_host_lookup and either user_scan if that transport type supports it, or else scsi_scan_host_selected

NOTE

this seems to be aimed exclusively at SCSI parallel busses.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT